Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80083 - User isn't prompted to restart X after cursor change
Summary: User isn't prompted to restart X after cursor change
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: control-center
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-19 18:55 UTC by Jim Thario
Modified: 2013-04-02 04:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-13 21:43:57 UTC


Attachments (Terms of Use)

Description Jim Thario 2002-12-19 18:55:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
After changing the cursor type, the user isn't prompted to restart X (i.e.
logout/login) for the change to take affect. This can give the user the
impression the change didn't take or the mouse properties aren't working properly.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Select a new mouse cursor type.
2.Close the mouse preferences.

    

Actual Results:  No change to mouse cursor.

Expected Results:  Mouse cursor type would change immediately.

Additional info:

Prompt the user to logout/login.

Comment 1 Havoc Pennington 2002-12-19 20:22:59 UTC
I would say the bug is that you have to restart...

We may have it fixed in next release such that you don't have to, I'm not sure.
There's a new cursor theme system.

Comment 2 Andrew Sobala 2002-12-20 14:16:48 UTC
It does say "Note: You will have to logout and log back in for this setting to
take effect." So you are prompted.

Comment 3 Jim Thario 2002-12-21 17:25:21 UTC
I missed it. I was expecting a pop-up window similar to the one you get when
changing the screen settings.


Comment 4 Jonathan Blandford 2003-01-13 21:25:52 UTC
I would prefer not to put a big dialog like that.  Ideally we'll be able to
change cursors on the fly in the future, anyway.


Note You need to log in before you can comment on or make changes to this bug.